NVIDIA_ROOT=	${.CURDIR}/../../..

LIB=		nvidia-tls
SHLIB_VERSION=	304.137
SHLIB_NAME=	lib${LIB}.so.${SHLIB_VERSION}
SHLIB_NO_LINK=	1
LIBDIR=		/compat/linux/usr/lib
OBJDIR!=	if [ -x ${NVIDIA_ROOT}/obj/linux/tls/tls_test ] && \
                ${NVIDIA_ROOT}/obj/linux/tls/tls_test \
	            ${NVIDIA_ROOT}/obj/linux/tls/tls_test_dso.so ; then \
			echo obj/linux/tls ; \
		else \
			echo obj/linux ; \
		fi

.include <${NVIDIA_ROOT}/mk/nvidia.lib.mk>
